Subject: Re: bug#16259: when cross-compiling with LT_INIT([win32-dll]) wrappers are installed instead of real programs

From: "Gary V. Vaughan" <[email-masked]>
Date: Tue, 14 Jan 2014 15:36:01 +1300

On Jan 14, 2014, at 3:07 PM, Marcin Wojdyr <[email-masked]> wrote:
> I've found the reason. In my case the problem was caused by env. variable:
> GREP_OPTIONS='-I'
> (libtool greps for magic string in binary file; I rarely search
> strings in binaries so I have it switched off by default).

Perhaps in our shell-normalization preamble in ltmain and libtoolize we
ought to `export GREP_OPTIONS=` or similar to prevent future issues?  Or
maybe that's a whole can of worms...

Thoughts?

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)